[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.OnConstrainedResize

This handler can supply specific Constraints (size limits), when the control is resized.

## Declaration

Source position: controls.pp line 1580

`protected property TControl.OnConstrainedResize : TConstrainedResizeEvent read FOnConstrainedResize write FOnConstrainedResize;`

## See also

TConstrainedResizeEvent |  | Specifies an event handler signalled to resize a control to the specified size constraints.
TControl.Constraints |  | Contains the minimum and maximum Width and Height for the control.